credentials.list
Every credential, by name and hint.
Reference
GET/api/v1/credentials/
- Auth
- API key in
X-API-Key - Content
- none
- Returns
- 200 · CredentialResponse[]
List all webhook credentials for the user's organization. Returns: List of credentials (without sensitive data)
Arguments
This method takes no arguments.
Example request
curl -X GET "https://api.decibyl.ai/api/v1/credentials/" \
-H "X-API-Key: dcb_your_key"Response
[
{
"uuid": "string",
"name": "string",
"description": "string",
"credential_type": "string",
"created_at": "2026-09-14T09:30:00Z",
"updated_at": "2026-09-14T09:30:00Z"
}
]Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |